diff options
Diffstat (limited to 'Connections/Shear/Finplate/colWebBeamWebConnectivity.py')
-rw-r--r-- | Connections/Shear/Finplate/colWebBeamWebConnectivity.py | 45 |
1 files changed, 21 insertions, 24 deletions
diff --git a/Connections/Shear/Finplate/colWebBeamWebConnectivity.py b/Connections/Shear/Finplate/colWebBeamWebConnectivity.py index f8c55e4..6a98a99 100644 --- a/Connections/Shear/Finplate/colWebBeamWebConnectivity.py +++ b/Connections/Shear/Finplate/colWebBeamWebConnectivity.py @@ -12,31 +12,26 @@ from nut import Nut import copy from OCC.BRepPrimAPI import BRepPrimAPI_MakeSphere from OCC.gp import gp_Pnt +from Connections.Shear.Finplate.nutBoltPlacement import NutBoltArray + class ColWebBeamWeb(object): - def __init__(self,column,beam,Fweld,plate,boltRadius,nutRadius,boltPlaceObj): + def __init__(self,column,beam,Fweld,plate,NutBoltArray): self.column = column self.beam = beam self.weldLeft = Fweld self.weldRight = copy.deepcopy(Fweld) self.plate = plate - self.boltRadius = boltRadius - self.nutRadius = nutRadius - self.pitch = boltPlaceObj['Bolt']['pitch'] - self.gauge = boltPlaceObj['Bolt']['gauge'] - self.edge = boltPlaceObj['Bolt']['edge'] - self.end = boltPlaceObj['Bolt']['enddist'] - self.row = boltPlaceObj['Bolt']['numofrow'] - self.col = boltPlaceObj['Bolt']['numofcol'] + self.NutBoltArray = NutBoltArray self.columnModel = None self.beamModel = None self.weldModelLeft = None self.weldModelRight = None self.plateModel = None - self.bolts =[] - self.nuts = [] - self.boltModels = [] - self.nutModels = [] +# self.bolts =[] +# self.nuts = [] +# self.boltModels = [] +# self.nutModels = [] self.clearDist = 20.0 # This distance between edge of the column web/flange and beam cross section def create_3dmodel(self): @@ -102,6 +97,8 @@ class ColWebBeamWeb(object): # BOLT BODY + #self.NutBoltArray.place(platestartpt, -self.plate.vDir, -self.plate.uDir) + bolt_T = 6.0 origin51 = (self.plate.secOrigin + (- self.plate.T/2.0 - bolt_T) * self.plate.uDir + @@ -110,20 +107,20 @@ class ColWebBeamWeb(object): uDir5 = self.plate.wDir wDir5 = self.plate.uDir - ## Bolt1 - bolt1 = Bolt(R = self.boltRadius,T = bolt_T, H = 30.0, r = 4.0 ) - bolt1.place(origin51, uDir5, wDir5) - - ## Bolt2 - bolt2 = Bolt(R = self.boltRadius, T = bolt_T, H = 30.0, r = 4.0 ) - origin52 = origin51 + 50 *self.plate.vDir - bolt2.place(origin52, uDir5, wDir5) - +# ## Bolt1 +# bolt1 = Bolt(R = self.boltRadius,T = bolt_T, H = 30.0, r = 4.0 ) +# bolt1.place(origin51, uDir5, wDir5) +# +# ## Bolt2 +# bolt2 = Bolt(R = self.boltRadius, T = bolt_T, H = 30.0, r = 4.0 ) +# origin52 = origin51 + 50 *self.plate.vDir +# bolt2.place(origin52, uDir5, wDir5) +# ## Bolt3 bolt3 = Bolt(R = self.boltRadius,T = bolt_T, H = 30.0, r = 4.0 ) origin53 = origin51 - 50*self.plate.vDir bolt3.place(origin53, uDir5, wDir5) - self.bolts =[bolt1,bolt2,bolt3] + #self.bolts =[bolt1,bolt2,bolt3] #nutbody = Nut(R = 10.0,T = 10.0, H = 6.1, innerR1 = 6.0, outerR2 = 8.3) # NUTBODY @@ -152,7 +149,7 @@ class ColWebBeamWeb(object): self.plateModel = self.plate.createModel() self.weldModelLeft = self.weldLeft.createModel() self.weldModelRight = self.weldRight.createModel() - + self. for bolt in self.bolts: self.boltModels.append(bolt.createModel()) |